/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: SystemSaveData.java,v 1.1.2.1 2003/12/11 10:12:19 ppoi Exp $
 */
package tsukuba_bunko.peko.session;

import	java.util.HashSet;


/**
 * システムの情報を格納するセーブデータです。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public class SystemSaveData	extends SaveData {

	/**
	 * <code>SystemSaveData</code> のインスタンスを生成します。
	 */
	public SystemSaveData()
	{
		super();
	}


	/**
	 * システムフラグ集合をシステムセーブデータに格納します。
	 * @param	systemFlagSet	システムフラグ集合
	 */
	public void setSystemFlagSet( HashSet systemFlagSet )
	{
		addEntry( "systemFlagSet", systemFlagSet );
	}

	/**
	 * 格納されたシステムフラグ集合を取得します。
	 * @return	システムフラグ集合
	 */
	public HashSet getSystemFlagSet()
	{
		return (HashSet)getEntry( "systemFlagSet" );
	}
}